## ros-noetic-open-manipulator-msgs 1.0.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.0.2)
project(open_manipulator_msgs)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  std_msgs
  geometry_msgs
  message_generation
)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################
add_message_files(
   FILES
   JointPosition.msg
   KinematicsPose.msg
   OpenManipulatorState.msg
 )

add_service_files(
   FILES
   GetJointPosition.srv
   GetKinematicsPose.srv
   SetJointPosition.srv
   SetKinematicsPose.srv
   SetDrawingTrajectory.srv
   SetActuatorState.srv
 )

generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
)

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  CATKIN_DEPENDS std_msgs geometry_msgs message_runtime
)

################################################################################
# Build
################################################################################

################################################################################
# Install
################################################################################

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-noetic-open-manipulator-msgs (1.0.1-1focal) focal; urgency=high

  * Noetic support
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Wed, 23 Jun 2021 15:00:00 -0000

ros-noetic-open-manipulator-msgs (1.0.0-1focal) focal; urgency=high

  * added endeffector name
  * added params
  * added authors
  * added path time variable
  * deleted unused params
  * updated msg and srv
  * updated the CHANGELOG and version to release binary packages
  * Contributors: Darby Lim, Yong-Ho Na, Pyo

 -- Will Son <willson@robotis.com>  Thu, 07 Feb 2019 15:00:00 -0000

ros-noetic-open-manipulator-msgs (0.3.0-1focal) focal; urgency=high

  * Package reconfiguration for OpenManipulator
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-noetic-open-manipulator-msgs (0.1.1-1focal) focal; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Wed, 14 Mar 2018 15:00:00 -0000

ros-noetic-open-manipulator-msgs (0.1.0-1focal) focal; urgency=high

  * modified dynamixel controller
  * modified msgs and description
  * modified cmake, package files for release
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-open-manipulator-msgs
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: http://wiki.ros.org/open_manipulator_msgs
Standards-Version: 3.9.2

Package: ros-noetic-open-manipulator-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: Messages and services package for OpenManipulator to send information about state or pose

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-open-manipulator-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
